KeyUploadDialog.h
#ifndef GPGFRONTEND_KEYUPLOADWIDGET_H
#define GPGFRONTEND_KEYUPLOADWIDGET_H
#include "core/GpgContext.h"
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/GeneralDialog.h"
namespace GpgFrontend::UI {
class KeyUploadDialog : public GeneralDialog {
Q_OBJECT
public:
explicit KeyUploadDialog(const KeyIdArgsListPtr& keys_ids, QWidget* parent);
public slots:
void SlotUpload();
private slots:
void slot_upload_key_to_server(const GpgFrontend::ByteArray& keys_data);
void slot_upload_finished();
private:
KeyListPtr m_keys_;
QByteArray m_key_data_;
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_KEYUPLOADWIDGET_H
GpgFrontend::UI
Definition: FileReadTask.cpp:31
GpgFrontend::GpgKeyImportExporter::ExportKeys
bool ExportKeys(KeyIdArgsListPtr &uid_list, ByteArrayPtr &out_buffer, bool secret=false) const
Definition: GpgKeyImportExporter.cpp:71
GpgFrontend::SingletonFunctionObject< GpgKeyImportExporter >::GetInstance
static GpgKeyImportExporter & GetInstance(int channel=GpgFrontend::GPGFRONTEND_DEFAULT_CHANNEL)
Get the Instance object.
Definition: GpgFunctionObject.h:170
GpgFrontend::UI::KeyUploadDialog::slot_upload_key_to_server
void slot_upload_key_to_server(const GpgFrontend::ByteArray &keys_data)
Definition: KeyUploadDialog.cpp:65
GpgFrontend::GlobalSettingStation::GetUISettings
libconfig::Setting & GetUISettings() noexcept
Definition: GlobalSettingStation.h:63
GpgFrontend::UI::GeneralDialog
Definition: GeneralDialog.h:35
GpgFrontend::GpgKeyGetter
Definition: GpgKeyGetter.h:45
GpgFrontend::UI::KeyUploadDialog::KeyUploadDialog
KeyUploadDialog(const KeyIdArgsListPtr &keys_ids, QWidget *parent)
Construct a new Key Upload Dialog object.
Definition: KeyUploadDialog.cpp:39
GpgFrontend::UI::KeyUploadDialog
Definition: KeyUploadDialog.h:42